Retrieve an integration configuration
GET
https://api.vercel.com/v1/integrations/configuration/{id}Allows to retrieve a the configuration with the provided id in case it exists. The authenticated user or team must be the owner of the config in order to access it.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.integrations.getConfiguration({ id: "icfg_cuwj0AdCdH3BwWT4LPijCC7t", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "projectSelection": "all", "notification": { "level": "error", "title": "string", "message": "string", "href": "string" }, "transferRequest": { "kind": "transfer-to-marketplace", "metadata": "value", "billingPlan": { "id": "icfg_1234567890", "type": "prepayment", "scope": "installation", "name": "Example Name", "description": "string", "paymentMethodRequired": "false", "preauthorizationAmount": "123" }, "requestId": "example_id", "transferId": "example_id", "requester": { "name": "Example Name", "email": "user@example.com" }, "createdAt": "123", "expiresAt": "123", "discardedAt": "123", "discardedBy": "string", "approvedAt": "123", "approvedBy": "string", "authorizationId": "example_id" }, "projects": [], "status": "error", "type": "integration-configuration", "id": "icfg_3bwCLgxL8qt5kjRLcv2Dit7F", "integrationId": "oac_xzpVzcUOgcB1nrVlirtKhbWV", "userId": "kr1PsOIzqEL5Xg6M4VZcZosf", "createdAt": "1558531915505", "deletedAt": "1558531915505", "slug": "slack", "teamId": "team_nLlpyC6RE1qxydlFKbrxDlud", "updatedAt": "1558531915505", "scopes": [], "ownerId": "kr1PsOIzqEL5Xg6M4VZcZosf", "canConfigureOpenTelemetry": "false", "completedAt": "1558531915505", "externalId": "example_id", "source": "marketplace", "disabledAt": "1558531915505", "deleteRequestedAt": "1558531915505", "customerDeleteRequestedAt": "123", "disabledReason": "account-plan-downgrade", "installationType": "external", "acceptedPoliciesInheritedFromInstallationId": "example_id"}AuthorizationbearerToken
Default authentication mechanism
200The configuration with the provided id
A string representing the permission for projects. Possible values are
all or selected.When a configuration is limited to access certain projects, this will contain each of the project ID it is allowed to access. If it is not defined, the configuration has full access.
When the configuration was created for a team, this will show the ID of the team.
A timestamp that tells you when the configuration was installed successfully
Source defines where the configuration was installed from. It is used to analyze user engagement for integration installations in product metrics.
A timestamp that tells you when the configuration was disabled. Note: Configurations can be disabled when the associated user loses access to a team. They do not function during this time until the configuration is 'transferred', meaning the associated user is changed to one with access to the team.
A timestamp that tells you when the configuration deletion has been started for cases when the deletion needs to be settled/approved by partners, such as when marketplace invoices have been paid.
Record when the customer initited deletion, independent of whether
deleteRequestedAt gets set.Defines the installation type. - 'external' integrations are installed via the existing integrations flow - 'marketplace' integrations are natively installed: - when accepting the TOS of a partner during the store creation process - if undefined, assume 'external'
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404The configuration was not found
410Error